﻿using Newtonsoft.Json;
using System.Collections.Generic;

namespace SynologyCertificateExporter.Models
{
    internal class CertificateInfo
    {
        [JsonIgnore]
        internal string Name { get; set; }

        [JsonProperty("desc")]
        internal string Description { get; set; }

        [JsonProperty("services")]
        internal List<Service> Services { get; set; }

        [JsonProperty("user_deletable")]
        internal bool UserDeletable { get; set; }
    }

    internal class Service
    {
        [JsonProperty("display_name")]
        internal string DisplayName { get; set; }

        [JsonProperty("isPkg")]
        internal bool IsPkg { get; set; }

        [JsonProperty("owner")]
        internal string Owner { get; set; }

        [JsonProperty("service")]
        internal string ServiceName { get; set; }

        [JsonProperty("subscriber")]
        internal string Subscriber { get; set; }

        [JsonProperty("display_name_i18n")]
        internal string DisplayNameI18n { get; set; }

        [JsonProperty("multiple_cert")]
        internal bool? MultipleCert { get; set; }

        [JsonProperty("user_setable")]
        internal bool? UserSetable { get; set; }
    }
}
